import { Component } from '@angular/core';

import { Router } from '@angular/router';
import { NavController } from '@ionic/angular';

@Component({
  selector: 'app-tab2',
  templateUrl: 'tab2.page.html',
  styleUrls: ['tab2.page.scss']
})
export class Tab2Page {

  constructor(private router: Router, private navCtrl: NavController) {}

  goToBlankPage() {
    // this.router.navigateByUrl('/blank-page');
    // 导航到空白页面
    console.log('Navigating to Blank page');
  }

  goToSMovies() {
    this.router.navigate(['/smovies']); // 替换成你的 setting 页面路由路径
  }


  search() {
    this.router.navigate(['/search']); // 替换成你的 setting 页面路由路径
  }
}
